Debian Bug report logs - #585620
xterm: Please consider defaulting to freetype font rendering

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Roger Leigh <rleigh@debian.org>

Date: Sat, 12 Jun 2010 12:24:02 UTC

Severity: wishlist

Found in version xterm/259-1

Fixed in version xterm/260-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#585620; Package xterm. (Sat, 12 Jun 2010 12:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Jun 2010 12:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: Please consider defaulting to freetype font rendering
Date: Sat, 12 Jun 2010 13:22:10 +0100
Package: xterm
Version: 259-1
Severity: wishlist

Hi,

Utilising FreeType is already done for most of the other common
terminal emulators in Debian, and looks vastly better, as well
as not using the archaic XLFD/X11 Core Fonts.

The following patch to /etc/X11/app-defaults/XTerm enables
font rendering with FreeType.  This is already done for most
of the other common terminal emulators in Debian, and looks
vastly better.

I'm not sure if faceNameDoublesize should also be specified,
since I just see boxes with or without (while XTerm is linked
with fontconfig, gnome-terminal/konsole display Japanese just
fine).  Is the FreeType/Xft support broken here?  This working
fine with the default X fonts (9x15), but not when using
-fa/.faceName.  Maybe I shouldn't be also using Monospace for
-fd/faceNameDoublesize, since this doesn't have the necessary
glyphs?

It would also be nice to display the menus in similar manner, but
I didn't find a suitable resource name for that--does one exist?
 

132a133,135
> *VT100.faceName: Monospace
> *VT100.faceSize: 14


Regards,
Roger

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (550, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.11.1-3       Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-2 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.3-3      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+4      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- Configuration Files:
/etc/X11/app-defaults/XTerm changed [not included]

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#585620; Package xterm. (Sat, 12 Jun 2010 12:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Jun 2010 12:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 585620@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Roger Leigh <rleigh@debian.org>, 585620@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#585620: xterm: Please consider defaulting to freetype font rendering
Date: Sat, 12 Jun 2010 08:31:30 -0400 (EDT)
On Sat, 12 Jun 2010, Roger Leigh wrote:

> Package: xterm
> Version: 259-1
> Severity: wishlist
>
> Hi,
>
> Utilising FreeType is already done for most of the other common
> terminal emulators in Debian, and looks vastly better, as well
> as not using the archaic XLFD/X11 Core Fonts.

That's up to the packager.  Some users may not like the extra overhead, of 
course (I don't have a count of the terminal emulators which do/do not 
support FreeType).

It's also possible to make this deferred to allow the user to enable it at 
runtime, by setting face and size resources, but setting the renderFont 
resource to false.  (They could turn the menu entry on/off...).

> The following patch to /etc/X11/app-defaults/XTerm enables
> font rendering with FreeType.  This is already done for most
> of the other common terminal emulators in Debian, and looks
> vastly better.
>
> I'm not sure if faceNameDoublesize should also be specified,
> since I just see boxes with or without (while XTerm is linked
> with fontconfig, gnome-terminal/konsole display Japanese just
> fine).  Is the FreeType/Xft support broken here?  This working
> fine with the default X fonts (9x15), but not when using
> -fa/.faceName.  Maybe I shouldn't be also using Monospace for
> -fd/faceNameDoublesize, since this doesn't have the necessary
> glyphs?

perhaps the latter - the Xft fonts tend to be poor on coverage.
To handle them properly, I'll have to implement font-sets.

> It would also be nice to display the menus in similar manner, but
> I didn't find a suitable resource name for that--does one exist?

for the Athena widgets - probably not.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#585620; Package xterm. (Sat, 12 Jun 2010 12:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Jun 2010 12:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 585620@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Roger Leigh <rleigh@debian.org>, 585620@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#585620: xterm: Please consider defaulting to freetype font rendering
Date: Sat, 12 Jun 2010 08:44:07 -0400 (EDT)
On Sat, 12 Jun 2010, Roger Leigh wrote:

> Package: xterm
> Version: 259-1
> Severity: wishlist
>
> Hi,
>
> Utilising FreeType is already done for most of the other common
> terminal emulators in Debian, and looks vastly better, as well
> as not using the archaic XLFD/X11 Core Fonts.

actually, monospace/14 is less legible on my display than 10x20
(both, of course use the same archaic alphabet)

awai

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#585620; Package xterm. (Sat, 12 Jun 2010 13:24:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Jun 2010 13:24:13 GMT) Full text and rfc822 format available.

Message #20 received at 585620@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: Roger Leigh <rleigh@debian.org>, 585620@bugs.debian.org
Subject: Re: Bug#585620: xterm: Please consider defaulting to freetype font rendering
Date: Sat, 12 Jun 2010 15:20:31 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jun 12, 2010 at 08:44:07 -0400, Thomas Dickey wrote:

> On Sat, 12 Jun 2010, Roger Leigh wrote:
> 
> >Package: xterm
> >Version: 259-1
> >Severity: wishlist
> >
> >Hi,
> >
> >Utilising FreeType is already done for most of the other common
> >terminal emulators in Debian, and looks vastly better, as well
> >as not using the archaic XLFD/X11 Core Fonts.
> 
> actually, monospace/14 is less legible on my display than 10x20
> (both, of course use the same archaic alphabet)
> 
I've never found an Xft font I found as legible as the default core font
in xterm, so I'm a bit reluctant to make that change...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#585620; Package xterm. (Sat, 12 Jun 2010 14:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Jun 2010 14:12:05 GMT) Full text and rfc822 format available.

Message #25 received at 585620@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: Roger Leigh <rleigh@debian.org>, 585620@bugs.debian.org
Subject: Re: Bug#585620: xterm: Please consider defaulting to freetype font rendering
Date: Sat, 12 Jun 2010 10:08:38 -0400 (EDT)
On Sat, 12 Jun 2010, Julien Cristau wrote:

> On Sat, Jun 12, 2010 at 08:44:07 -0400, Thomas Dickey wrote:
>
>> On Sat, 12 Jun 2010, Roger Leigh wrote:
>>
>>> Package: xterm
>>> Version: 259-1
>>> Severity: wishlist
>>>
>>> Hi,
>>>
>>> Utilising FreeType is already done for most of the other common
>>> terminal emulators in Debian, and looks vastly better, as well
>>> as not using the archaic XLFD/X11 Core Fonts.
>>
>> actually, monospace/14 is less legible on my display than 10x20
>> (both, of course use the same archaic alphabet)
>>
> I've never found an Xft font I found as legible as the default core font
> in xterm, so I'm a bit reluctant to make that change...

agreed -

On the other hand, it's possible to extend the renderFont resource
(with some work to preserve compatibility with the boolean values,
and user's notion of how resources are set...) to let that be initially 
inactive like the utf8 resource.  That would allow it to be enabled
at runtime.

The patch's fontsize is too large for that - I'd prefer to modify it to 
correspond with the default non-TrueType fontsize, to make the two more
comparable.

I'm thinking about that approach.  However, for #260 it seems that I'll 
focus on fixing #584841, and filling in documentation gaps that I've 
noticed.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 23 Jun 2010 18:33:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 25 Jun 2010 19:36:11 GMT) Full text and rfc822 format available.

Notification sent to Roger Leigh <rleigh@debian.org>:
Bug acknowledged by developer. (Fri, 25 Jun 2010 19:36:11 GMT) Full text and rfc822 format available.

Message #32 received at 585620-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 585620-close@bugs.debian.org
Subject: Bug#585620: fixed in xterm 260-1
Date: Fri, 25 Jun 2010 19:34:18 +0000
Source: xterm
Source-Version: 260-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_260-1.diff.gz
  to main/x/xterm/xterm_260-1.diff.gz
xterm_260-1.dsc
  to main/x/xterm/xterm_260-1.dsc
xterm_260-1_amd64.deb
  to main/x/xterm/xterm_260-1_amd64.deb
xterm_260.orig.tar.gz
  to main/x/xterm/xterm_260.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585620@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 25 Jun 2010 19:58:38 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 260-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 584801 584841 585620
Changes: 
 xterm (260-1) unstable; urgency=low
 .
   * New upstream release
     + extend renderFont resource to allow deferred switch to TrueType fonts
       without affecting existing resource settings (closes: #585620)
     + change configure script default for --enable-broken-st (i.e., the
       brokenStringTerm feature) to normally enable it.  If the corresponding
       resource is enabled, this feature eliminates an apparent freeze of xterm
       when sending mis-encoded data to the screen (closes: #584801)
     + undo a change to limit-check in ScrnRefresh in patch #257, which broke
       fastScroll feature (closes: #584841)
Checksums-Sha1: 
 fa1a57738d6f14a0fe5aa20ba4110f5d3f3c27a0 1948 xterm_260-1.dsc
 e2e035ce594b6428256c77e5f07a5295d1382bab 926427 xterm_260.orig.tar.gz
 7100636a0d458870caf3242344e26b399283e411 80088 xterm_260-1.diff.gz
 bf84db1009ddbac3534a07228ddfd4a09f209574 550572 xterm_260-1_amd64.deb
Checksums-Sha256: 
 92eedb504f53f34c7cc6f9514e212d951d83f4303a2ac33ade5595b7fb0b87ce 1948 xterm_260-1.dsc
 3e8f68124df7d735a7f7cbcef1d4e4b60092c4d85a1b4c5de829c79a88869fc7 926427 xterm_260.orig.tar.gz
 c8c49db28e76e73e48d95acd4dd92e69d0219e1b72f5f2b6c0d07ea07acb846c 80088 xterm_260-1.diff.gz
 c65b5b287476908108bb4e38bd5ee018e81205f092eda608a257b58c221b9638 550572 xterm_260-1_amd64.deb
Files: 
 75572318b374ba0abb28a628e72f5680 1948 x11 optional xterm_260-1.dsc
 1db28bd91f66278b836162e960ad4e22 926427 x11 optional xterm_260.orig.tar.gz
 3238967e68e10eb9a69f93b7d394e8a3 80088 x11 optional xterm_260-1.diff.gz
 3750530558ac35606952a484632d7ec4 550572 x11 optional xterm_260-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMJQKMAAoJEDEBgAUJBeQMF4gQAM4wp8a4HQeQHaxQZP5je3lC
qLMrua/kWPjYeE8820B4/qlEQW//0tl7udkWrM0g0FwBsWHjg5o0++WIAquteTfb
K3SaBL3Wx5wD9LzRJ80VwlO00FE7D+z8FXxofbNNstD6LdFQol2JB4R4N3Mw1ynI
vfVTKbObqF0PxIlc83D076kDQEM8SrmOHfeU8+/cY2wcjZKhEKJuTCL4uqPxQ+FF
T7qHKeUr9oVU17TS4Sbrgd2mpXF6hRI52GWVJ5TzJRYqTJlLsFSk7dv/oMBbMZgU
f1D2pdMiUMjuQpteUoN97h7Z0GFyEk10lo6BvrnzTzLse8X+x4rDNb78M1QPoFHg
jG1c2LMbNw11Eoh1Lzp/AjnPFuEAaIt0HZXEEgzUizdnt6943GD5BtId3MLEmOVN
HiRkjEXn88D9LOj6BH2wSHSy/+6Zxx6/be1PXCucm+ZCnePskwBLhtkY+MgKTPeq
U6AzZ8YVijkV0gliRi7gEsWKSH+JrXNMwqjc/ubqCaIm+U9YLo8pwFbcPcwjbMbK
dGvX+RrTFNGQLWK5YWl2NcOE/zKCSoM7YZzSogb328iKAbInrWb16bojdq+jSJg/
gqrks1KngN1TXNyBCO+PlpB7gxqf5E6l7/P/HrPGxaXdTskPvfvPWtagQWW0UTaa
BNnzTrurFNTgCUAUW5ww
=Xm6j
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Jul 2010 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:19:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.